Magento Installation Specs

The PSS Magento integration is compatible with Magento v1.9.x, PSS currently does not support Magento v2.x.x.

System requirements for a server capable of hosting Magento can be found on the Magento System Requirements help article.

Hosting providers that are capable of provision Magento servers that adhere to the Magento System Requirements can be found on the Magento Partner Program pages. At this time, PSS does not provide Magento server infrastructure. Past experience has taught us that using a scalable cloud hosting platform is best as increasing the available resources on a server can usually be accomplish with minimal effort and cost.

Feedback and Knowledge Base